%define libname	%mklibname %{name}

%define commit 221abde878315101436ee2e0391bfdbb262108e8
%define date   git20240201

Name:		soundkonverter
Version:	3.0.1
Release:	%mkrel 13.%{date}.1
Summary:	An audio file converter, cd ripper and replay gain tool gui for various backends
Group:		Sound/Editors and Converters
License:	GPLv2
URL:		https://github.com/dfaust/soundkonverter/wiki
# Qt6/KF6 port
Source0:	https://github.com/CarlSchwan/soundkonverter/archive/%{commit}/%{name}-%{version}+%{date}.tar.gz
Patch0:		soundkonverter-kf6-fix.patch
Patch1:		0001-Support-taglib2.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6KCMUtils)

BuildRequires:	cmake(KCddb6)
BuildRequires:	pkgconfig(phonon4qt6)
BuildRequires:	pkgconfig(taglib) >= 1.11.1
BuildRequires:	cdda-devel

Recommends:	cdparanoia
Recommends:	cdrkit-icedax
Recommends:	flac
Recommends:	fluidsynth
Recommends:	opus-tools

%description
An audio file converter, cd ripper and replay gain tool gui for various backends.

%files -f %{name}.lang
%doc src/CHANGELOG src/README
%{_kf6_bindir}/%{name}
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_datadir}/%{name}/
%{_kf6_iconsdir}/hicolor/*/apps/%{name}*.png

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
Libraries for %{name}.

%files -n %{libname}
%{_kf6_libdir}/lib%{name}core.so
%{_qt6_plugindir}/soundkonverterplugins/

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%cmake_kf6 -DLOCALE_INSTALL_DIR:PATH=%{_datadir}/locale
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 3.0.1-13.git20240201.1.mga10
+ Revision: 2257445
- update to latest git snapshot as of 20240201
- switch  to Qt6/KF6

* Mon Jun 30 2025 daviddavid <daviddavid> 3.0.1-12.mga10
+ Revision: 2230675
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Oct 04 2024 daviddavid <daviddavid> 3.0.1-11.mga10
+ Revision: 2103372
- add patch to support taglib2 from https://github.com/nphantasm/soundkonverter
- rebuild for new taglib 2.0.2

* Wed Apr 06 2022 umeabot <umeabot> 3.0.1-10.mga9
+ Revision: 1846191
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 3.0.1-9.mga8
+ Revision: 1659922
- Rebuild for new Qt5

* Wed Sep 09 2020 zezinho <zezinho> 3.0.1-8.mga8
+ Revision: 1623867
- recommend fluidsynth and opus-tools to allow midi mod and opus formats

* Wed Jul 22 2020 daviddavid <daviddavid> 3.0.1-7.mga8
+ Revision: 1607828
- add gentoo patch to fix build with ECM >=5.72.0

* Thu Apr 09 2020 daviddavid <daviddavid> 3.0.1-6.mga8
+ Revision: 1565673
- backport upstream fixes from git 2020-04-08

* Sat Feb 15 2020 umeabot <umeabot> 3.0.1-5.mga8
+ Revision: 1525048
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 3.0.1-4.mga7
+ Revision: 1384865
- Qt5 Rebuild

* Mon Jan 07 2019 zezinho <zezinho> 3.0.1-3.mga7
+ Revision: 1351042
- add recommends on audio-cd rippers

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1301114
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 daviddavid <daviddavid> 3.0.1-1.mga7
+ Revision: 1168124
- new version: 3.0.1

* Tue Sep 12 2017 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1153217
- new version: 3.0.0
- remove merged upstream patches
- update Url and Source Url

* Sun Mar 19 2017 akien <akien> 2.2.2-2.20160720.1.mga6
+ Revision: 1093645
- Package unreleased KF5 port from https://github.com/isoft-linux/soundkonverter
- Reintroduce soundkonverter into cauldron, requested and has a usable kf5 port (mga#20514)
+ daviddavid <daviddavid>
- remove this kde4 package not yet ported to Kf5

* Mon May 23 2016 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 1017948
- new version: 2.2.2

* Wed May 04 2016 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 1009422
- new version: 2.2.1

* Sat Apr 09 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 999811
- new version: 2.2.0
- remove merged upstream patch

* Wed Jan 06 2016 daviddavid <daviddavid> 2.1.2-2.mga6
+ Revision: 919969
- add patch0 to fix taglib 1.10 cmake detection

* Sat Mar 07 2015 daviddavid <daviddavid> 2.1.2-1.mga5
+ Revision: 818013
- new version: 2.1.2
- add README and CHANGELOG files doc

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 740385
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-2.mga5
+ Revision: 689255
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 daviddavid <daviddavid> 2.1.1-1.mga5
+ Revision: 667133
- new version 2.1.1
+ dams <dams>
- clean specfile

* Wed Mar 05 2014 akien <akien> 2.1.0-1.mga5
+ Revision: 599962
- New version 2.1.0

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 530358
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 fwang <fwang> 2.0.4-1.mga4
+ Revision: 457394
- new version 2.0.4

* Sat Jun 08 2013 fwang <fwang> 2.0.3-1.mga4
+ Revision: 440433
- find_lang
- new version 2.0.3

* Mon Jan 14 2013 umeabot <umeabot> 1.6.4-2.mga3
+ Revision: 382377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 1.6.4-1.mga3
+ Revision: 328013
- new version 1.6.4

* Sat Dec 01 2012 malo <malo> 1.6.3-2.mga3
+ Revision: 324388
- update RPM group

* Tue Aug 14 2012 obgr_seneca <obgr_seneca> 1.6.3-1.mga3
+ Revision: 281326
- New version 1.6.3

* Tue Jul 03 2012 fwang <fwang> 1.6.2-2.mga3
+ Revision: 266882
- update br

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 1.6.2-1.mga3
+ Revision: 261674
- New version 1.6.2

* Tue May 29 2012 obgr_seneca <obgr_seneca> 1.5.0-1.mga3
+ Revision: 249216
- Rediffed patch
- new version 1.5.0

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 1.3.3-1.mga2
+ Revision: 216044
- new version 1.3.3

* Sun Feb 05 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 204681
- new version 1.3.0

* Wed Jan 04 2012 obgr_seneca <obgr_seneca> 1.2.1-1.mga2
+ Revision: 190778
- new version 1.2.1

* Mon Oct 24 2011 fwang <fwang> 1.2.0-1.mga2
+ Revision: 157594
- new version 1.2.0

* Thu Oct 13 2011 obgr_seneca <obgr_seneca> 1.1.0-1.mga2
+ Revision: 154706
- fixed desktop file
- new version 1.1.0
- imported package soundkonverter


* Sun Jul 18 2010 Jens Ornot <rpm@mandrivauser.de> 0.9.91-1mud2010.1
- initial package for Mandriva Linux

